package currency;

// concrete CurrencyMaker, a "Product"
public class CanadianDollarBillMaker extends CurrencyMaker {
	// attributes specific to CanadianDollarBillMaker go here
	public CanadianDollarBillMaker() {
		name = "Canadian Dollar bill";
		substrate = "paper";
		frontImprint = "Queen Elizabeth";
		backImprint = "Woodchuck";
	}
	
	// CanadianDollarBillMaker-specific behavior
	public void makeCurrency() {
		System.out.println( "Printing the " + frontImprint + " for the " + name ) ;
		System.out.println( "Printing the " + backImprint + " for the " + name ) ;
	}
}
