package currency;

//concrete CurrencyMaker, a "Product"
public class CanadianDollarCoinMaker extends CurrencyMaker {
	// attributes specific to CanadianDollarCoinMaker go here
	public CanadianDollarCoinMaker() {
		super();
		name = "Canadian Dollar coin";
		substrate = "tin";
		frontImprint = "Prince William";
		backImprint = "Princess Kate";
	}
	
	// CanadianDollarCoinMaker-specific behavior
	public void makeCurrency() {
		System.out.println( "Stamping the " + frontImprint + " for the " + name ) ;
		System.out.println( "Stamping the " + backImprint + " for the " + name ) ;
	}

}
